[BUGFIX] Add required option for imageManipulation type 07/49807/6
authorSascha Egerer <sascha@sascha-egerer.de>
Fri, 2 Sep 2016 22:09:12 +0000 (00:09 +0200)
committerFrans Saris <franssaris@gmail.com>
Sat, 3 Sep 2016 13:19:11 +0000 (15:19 +0200)
commit67a79c96f8c7c2ed1580f964c710a2161dcd40e1
treebc112aad441dbbbb511b9b80a5f9ed704d483b54
parent5ace1b8e786ecf13af484eae1ad59a4b6b82f63d
[BUGFIX] Add required option for imageManipulation type

The TCA type imageManipulation should have support for a
"eval": ["required"] definition so you can enforce that the
cropping tool is opened.
This does make sense if you have aspect ratios defined and want
to enforce one of them.

Resolves: #77813
Releases: master
Change-Id: I517ec3cfe57e3a251219f47fa39c02447116ac08
Reviewed-on: https://review.typo3.org/49807
Tested-by: Bamboo TYPO3com <info@typo3.com>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Richard Haeser <richardhaeser@gmail.com>
Tested-by: Richard Haeser <richardhaeser@gmail.com>
Reviewed-by: Michiel Roos <michiel@maxserv.com>
Tested-by: Michiel Roos <michiel@maxserv.com>
Reviewed-by: Frans Saris <franssaris@gmail.com>
Tested-by: Frans Saris <franssaris@gmail.com>
typo3/sysext/backend/Classes/Form/Element/ImageManipulationElement.php
typo3/sysext/backend/Resources/Public/JavaScript/ImageManipulation.js